Page MenuHomePhabricator

Fix hover position in hoversel, when it goes out of the viewport
ClosedPublic

Authored by divyesh on Dec 30 2015, 10:15 PM.

Details

Summary

Hoversel Widget is designed in such a way that it accepts top/bottom/left/right directions , internally it uses hover widget which does not take care if its content goes of it's parent (Elm_Win in most cases) . this patch ensures that the drop-down content remains restricted in visible hover_parent. it would fix T2965
Signed-off-by: divyesh purohit <div.purohit@samsung.com>
Signed-off-by: Jee-Yong Um <conr2d@gmail.com>

Test Plan

Open entry widget and right click to show a hoversel widget, check if the hoversel or hover content goes out of the window.

this is what hoversel would look like after this patch

Screenshots of top-left / top-right/ bottom-left and bottom-right corners in entry after this patch

Diff Detail

Repository
rELM core/elementary
Branch
hover_align
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 990
Build 1055: arc lint + arc unit
divyesh updated this revision to Diff 8016.Dec 30 2015, 10:15 PM
divyesh retitled this revision from to Fix hover position in hoversel, when it goes out of the viewport.
divyesh updated this object.
divyesh edited the test plan for this revision. (Show Details)
divyesh added reviewers: shilpasingh, conr2d, raster.
divyesh added subscribers: govi, rajeshps.
divyesh added inline comments.Dec 30 2015, 10:19 PM
data/themes/edc/elm/hover.edc
448

topshow2() and bottomshow2() are kept here to resolve the Embryo stack broken errors

divyesh updated this object.Dec 30 2015, 10:20 PM
divyesh added a project: Restricted Project.
divyesh updated this revision to Diff 8036.Jan 3 2016, 10:01 PM

Removed unused functions

divyesh updated this revision to Diff 8039.Jan 4 2016, 3:21 AM

Fixed Top-left and bottom-right positions in hover

cedric accepted this revision.Jan 4 2016, 3:09 PM
cedric edited edge metadata.
This revision is now accepted and ready to land.Jan 4 2016, 3:09 PM
cedric closed this revision.Jan 4 2016, 3:09 PM